# 商品角色表
DROP TABLE IF EXISTS `t_role_goods`;
CREATE TABLE `t_role_goods` (
  `role_goods_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `role_id` bigint(20) DEFAULT NULL COMMENT '角色id',
  `goods_id` bigint(20) DEFAULT NULL COMMENT '商品id',
  PRIMARY KEY (`role_goods_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=69 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

# 场景分类表
DROP TABLE IF EXISTS `t_scene_category`;
CREATE TABLE `t_scene_category` (
  `scene_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `scene_name` bigint(20) DEFAULT NULL COMMENT '场景分类名称',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父级id',
	`if_child` char(1) DEFAULT 'Y' COMMENT '是否为子节点：Y是，N否',
  `cre_time` datetime DEFAULT NULL COMMENT '创建时间',
  `cre_person` varchar(32) DEFAULT NULL COMMENT '创建人',
  `upt_time` datetime DEFAULT NULL COMMENT '更新时间',
  `upt_person` varchar(32) DEFAULT NULL COMMENT '更新人',
  `del_flag` char(1) DEFAULT 'N',
  PRIMARY KEY (`scene_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=69 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

# 场景商品分类表
DROP TABLE IF EXISTS `t_scene_goods_category`;
CREATE TABLE `t_scene_goods_category` (
  `scene_category_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `scene_id` bigint(20) DEFAULT NULL COMMENT '场景id',
  `category_id` bigint(20) DEFAULT NULL COMMENT '商品分类id',
  PRIMARY KEY (`scene_category_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=69 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

# 广告表
CREATE TABLE `t_banner` (
  `banner_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '广告id',
  `banner_name` varchar(64)  DEFAULT NULL COMMENT '广告名称',
  `banner_location` varchar(32)  DEFAULT NULL COMMENT '广告位置',
  `banner_status` char(2) DEFAULT NULL COMMENT '广告状态 01已发布，02未发布',
	`banner_desc` varchar(64) DEFAULT NULL COMMENT'广告位描述',
  `banner_start` datetime DEFAULT NULL COMMENT '开始时间',
  `banner_end` datetime DEFAULT NULL COMMENT '结束时间',
  `cre_time` datetime DEFAULT NULL COMMENT '创建时间',
  `cre_person` varchar(32) DEFAULT NULL COMMENT '创建人',
  `upt_time` datetime DEFAULT NULL COMMENT '更新时间',
  `upt_person` varchar(32) DEFAULT NULL COMMENT '更新人',
  `del_flag` char(1) DEFAULT 'N' COMMENT '删除标识：Y是，N否',
  PRIMARY KEY (`banner_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='广告';

# 菜单配置
CREATE TABLE `t_menu_config` (
  `config_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单配置id',
  `config_name` varchar(64)  DEFAULT NULL COMMENT '菜单名称',
  `config_url` varchar(32)  DEFAULT NULL COMMENT '菜单路径',
  `cre_time` datetime DEFAULT NULL COMMENT '创建时间',
  `cre_person` varchar(32) DEFAULT NULL COMMENT '创建人',
  `upt_time` datetime DEFAULT NULL COMMENT '更新时间',
  `upt_person` varchar(32) DEFAULT NULL COMMENT '更新人',
  `del_flag` char(1) DEFAULT 'N' COMMENT '删除标识：Y是，N否',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='菜单配置';
