package com.jz.common.constant;

/**
* @Description: 异常处理状态码枚举
* @Author: Mr.zhang
* @Date: 2021-2-25
*/

public enum ResultMsg {
    /**
     * 执行失败
     */
    FAILURE("执行失败"),
    /**
     * 执行成功
     */
    SUCCESS("执行成功"),
    LOGIN_SUCCESS("登陆成功"),
    LOGIN_ERROR("登陆失败"),
    PAY_FAILURE("支付失败"),
    PAY_SUCCESS("支付成功"),
    IN_PROCESS("正在处理中"),
    QUERY_FAIL("查询失败"),
    SEND_SUCCESS("发送成功"),
    SEND_FAIL("发送失败"),
    ACCEPT_SUCCESS("受理成功"),
    ACCEPT_FAIL("受理失败"),
    TRANS_SUCCESS("转账成功"),
    TRANS_FAIL("转账失败"),
    RECHARGE_SUCCESS("充值成功"),
    RECHARGE_FAIL("充值失败"),
    AUDIT_SUCCESS("审核成功"),
    AUDIT_FAIL("审核失败"),
    /**
     * 需审核
     */
    NEED_AUDIT("已提交审核"),
    DATA_NOT_FOUND("查询结果为空"),
    REPEATED_REQUEST("重复请求"),
    DATA_EXIST("数据已存在"),
    DATA_NOT_EXIST("操作数据不存在"),
    INSERT_SUCCESS("添加成功"),
    INSERT_FAIL("添加失败"),
    UPDATE_SUCCESS("修改成功"),
    UPDATE_FAIL("修改失败"),
    UPDATA_DATA_UNABLE("修改数据不存在"),
    DELETE_SUCCESS("删除成功"),
    DELETE_FAIL("删除失败"),
    USER_NOT_EXIST("用户不存在"),
    /*限流状态码*/
    LIMIT_FLOW_EXCEPTION("限流异常"),
    LIMIT_DEGRADE_EXCEPTION("降级异常"),
    LIMIT_PARAM_EXCEPTION("热点异常"),
    LIMIT_SYSTEM_EXCEPTION("系统规则异常"),
    LIMIT_AUTHORITY_EXCEPTION("认证异常");


    private String msg;

    ResultMsg() {
    }

    public String getMsg() {
        return msg;
    }

    ResultMsg(String msg) {
        this.msg = msg;
    }
}
