package com.jz.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 企业(TDepartment)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:34
 */
@TableName("t_department")
@ApiModel
@Data
public class Department implements Serializable {
    private static final long serialVersionUID = -86955761674824098L;
    /**
     * 企业id
     */
    @TableId(value = "department_id",type = IdType.AUTO)
    private Long departmentId;
    /**
     * 企业名称
     */
    @TableField(value = "department_name")
    private String departmentName;
    /**
     * 法人代表
     */
    @TableField(value = "legal_representative")
    private String legalRepresentative;
    /**
     * 省份
     */
    @TableField(value = "province")
    private String province;
    /**
     * 城市
     */
    @TableField(value = "city")
    private String city;
    @TableField(value = "linkman")
    private String linkman;
    /**
     * 行业
     */
    @TableField(value = "industry")
    private String industry;
    /**
     * 联系电话
     */
    @TableField(value = "telephone")
    private String telephone;
    /**
     * 注册地址
     */
    @TableField(value = "registered_address")
    private String registeredAddress;
    /**
     * 区域编码
     */
    @TableField(value = "zone_code")
    private Object zoneCode;
    /**
     * 企业照片
     */
    @TableField(value = "depart_picture")
    private String departPicture;
    /**
     * 营业执照
     */
    @TableField(value = "business_license")
    private String businessLicense;
    /**
     * 税务登记
     */
    @TableField(value = "tax_registration")
    private String taxRegistration;
    /**
     * 企业照片(代码)到期时间
     */
    @TableField(value = "depart_picture_time")
    private Date departPictureTime;
    /**
     * 营业执照到期时间
     */
    @TableField(value = "business_license_time")
    private Date businessLicenseTime;
    /**
     * 税务登记到期时间
     */
    @TableField(value = "tax_registration_time")
    private Date taxRegistrationTime;

    @TableField(value = "department_source")
    private String departmentSource;
    /**
     * 统一社会信用代码
     */
    @TableField(value = "unified_credit_code")
    private String unifiedCreditCode;
    /**
     * 开户行名称
     */
    @TableField(value = "bank_name")
    private String bankName;
    /**
     * 银行卡号
     */
    @TableField(value = "bank_card_number")
    private String bankCardNumber;
    /**
     * 开户行地址
     */
    @TableField(value = "bank_address")
    private String bankAddress;
    /**
     * 开户行号
     */
    @TableField(value = "bank_no")
    private String bankNo;
    /**
     * 审核状态：01待审核，02已审核，03未通过
     */
    @TableField(value = "audit_status")
    private String auditStatus;
    /**
     * 驳回原因
     */
    @TableField(value = "reject_reason")
    private String rejectReason;
    /**
     * 审核人
     */
    @TableField(value = "audit_person")
    private String auditPerson;
    /**
     * 审核时间
     */
    @TableField(value = "audit_time")
    private Date auditTime;
    /**
     * 创建时间
     */
    @TableField(value = "cre_time")
    private Date creTime;
    /**
     * 创建人
     */
    @TableField(value = "cre_person")
    private String crePerson;
    /**
     * 更新时间
     */
    @TableField(value = "upt_time")
    private Date uptTime;
    /**
     * 更新人
     */
    @TableField(value = "upt_person")
    private String uptPerson;
    /**
     * 删除标识
     */
    @TableField(value = "del_flag")
    private String delFlag;


}