package com.jz.dm.mall.moduls.controller.customer;


import com.jz.common.utils.Result;
import com.jz.dm.mall.moduls.service.ValidateCodeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ClassName: 短信发送接口
 * @Author: Carl
 * @Date: 2020/12/2
 * @Version:
 */
@RestController
@RequestMapping("/validateCode")
@Api(tags = "短信发送--controller")
public class ValidateCodeController {

    @Autowired
    private ValidateCodeService codeService;

    /**
     * 注册时发送的验证码
     * @param telephone
     * @return
     */
    @GetMapping(value = "/sendForLogin")
    @ApiOperation(value = "注册时发送的验证码")
    public Result sendForLogin(@RequestParam(value = "telephone") String telephone) {
        return codeService.sendForLogin(telephone);
    }


    /**
     * 修改密码发送验证码
     * @param telephone
     * @return
     */
    @GetMapping("/send4Code")
    @ApiOperation(value = "修改密码发送验证码")
    public Result send4Code(@RequestParam(value = "telephone") String telephone) throws Exception{
        return codeService.send4Code(telephone);
    }

}
