package com.jz.dm.mall.moduls.controller.goods;


import com.jz.common.base.BaseController;
import com.jz.common.utils.Result;
import com.jz.dm.mall.moduls.controller.goods.bean.dto.DataGoodsApiDto;
import com.jz.dm.mall.moduls.controller.goods.bean.request.DataApiDetailsReq;
import com.jz.dm.mall.moduls.service.DataGoodsApiService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.List;

/**
 * api商品(TDataGoodsApi)表控制层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:31
 */
@RestController
@RequestMapping("dataGoodsApi")
@Api(tags = "商城--数据目录--controller")
public class DataGoodsApiController extends BaseController {
    /**
     * 服务对象
     */
    @Autowired
    private DataGoodsApiService tDataGoodsApiService;

    /**
     * 根据主键查询商品详情-api
     * @param
     * @return
     */
    @PostMapping("/findByDetails")
    @ApiOperation(value = "数据预览--商品详情", notes = "api商品")
    public Result findByDetails(@RequestBody @Valid DataApiDetailsReq req) {
        return tDataGoodsApiService.findByDetails(req);
    }
}