package com.jz.dm.mall.moduls.controller.goods;


import com.jz.common.base.BaseController;
import com.jz.common.utils.Result;
import com.jz.dm.mall.moduls.service.DataGoodsCategoryService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 数据商品分类(行业)(TDataGoodsCategory)表控制层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:32
 */
@RestController
@RequestMapping("dataGoodsCategory")
@Api(tags = "商城--数据银行首页--controller")
public class DataGoodsCategoryController extends BaseController {
    /**
     * 服务对象
     */
    @Autowired
    private DataGoodsCategoryService categoryService;

    /**
     * 查询数据商品分类
     * @return
     */
    @GetMapping(value = "/findCategory")
    @ApiOperation(value = "首页--展示一级数据分类")
    public Result findCategory() {
        return categoryService.findCategory();
    }

    /**
     * 查询场景分类
     * @return
     */
    @GetMapping(value = "/findScene")
    @ApiOperation(value = "首页--展示场景分类")
    public Result findScene() {
        return categoryService.findScene();
    }
}