package com.jz.dm.mall.moduls.controller.goods.bean.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @ClassName:  商品详情参数封装
 * @Author: Carl
 * @Date: 2020/12/8
 * @Version:
 */
@ApiModel(value = "商品详情--商品详情参数对象", description = "商品详情参数对象")
@Data
public class DataGoodsApiDto implements Serializable {

    /**
     * 商品详情
     */
    @ApiModelProperty(value = "商品名称")
    private String dataName;

    @ApiModelProperty(value = "api描述")
    private String apiFunction;

    @ApiModelProperty(value = "服务商",hidden = true)
    private String userId;

    @ApiModelProperty(value = "更新时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date uptTime;

    @ApiModelProperty(value = "所属商品分类")
    private String categoryName;

    @ApiModelProperty(value = "年")
    private String yearType;

    @ApiModelProperty(value = "季")
    private String seasonType;

    @ApiModelProperty(value = "月")
    private String monthType;

    @ApiModelProperty(value = "次")
    private String secondType;

    @ApiModelProperty(value = "商品有限期")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date goodsLimited;

    @ApiModelProperty(value = "数据大小")
    private String dataBag;

    @ApiModelProperty(value = "商品描述")
    private String dataDesc;

    @ApiModelProperty(value = "商品图片")
    private String dataPicture;

    @ApiModelProperty(value = "价格类型 01免费 02收费")
    private String priceType;

    @ApiModelProperty(value = "调用次数上限")
    private Long reqFrequency;

    /**
     * api详情
     */
    @ApiModelProperty(value = "接口地址")
    private String targetUrl;

    @ApiModelProperty(value = "加密方式 0：无，1：MD5, 2：RSA")
    private String signType;

    @ApiModelProperty(value = "传输方式")
    private String apiProtocl;

    @ApiModelProperty(value = "请求方式")
    private String reqType;

    @ApiModelProperty(value = "超时时间")
    private Integer timeout;

    @ApiModelProperty(value = "返回类型")
    private String outputType;

    @ApiModelProperty(value = "数据最大量")
    private Integer maxData;

    @ApiModelProperty(value = "最大页数")
    private Integer maxRow;

    @ApiModelProperty(value = "每页数据量")
    private String pageRow;

    @ApiModelProperty(value = "请求参数")
    private List<Map<String, String>> requestParam;

    @ApiModelProperty(value = "返回参数")
    private List<Map<String, String>> responseParam;

}
