package com.jz.dm.mall.moduls.controller.goods.bean.request;

import com.jz.dm.mall.moduls.entity.DataGoodsApiParams;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2020/12/29
 * @Version:
 */
@Data
@ApiModel(value = "数据商品制作--api制作参数对象", description = "api制作参数对象")
public class DataApiUpReq implements Serializable {

    /**
     * api表
     */
    @ApiModelProperty(value = "请求类型 POST/GET/PUT/DELETE")
    private String requestType;

    @ApiModelProperty(value = "接口地址 ")
    private String apiUrl;

    @ApiModelProperty(value = "唯一数据商品标识")
    private String apiOpenId;

    @ApiModelProperty(value = "api类型 01:api 02: 数据包")
    private String apiType;

    @ApiModelProperty(value = "数据名称")
    private String dataName;

    @ApiModelProperty(value = "商品分类")
    private Long categoryId;

    @ApiModelProperty(value = "限制次数",required = false)
    private Long reqFrequency;

    @ApiModelProperty(value = "目标地址",required = false)
    private String targetUrl;


    @ApiModelProperty(value = "最大页数")
//    @NotNull(message = "最大页数不能为空")
    private Long pageNumber;

    @ApiModelProperty(value = "每页数据量")
//    @NotNull(message = "每页数据量不能为空")
    private Long pageSize;

    @ApiModelProperty(value = "数据描述")
    private String dataDesc;

    @ApiModelProperty(value = "商品图片")
    private String dataPicture;

    @ApiModelProperty(value = "价格类型")
    private String priceType;

    @ApiModelProperty(value = "年（元）")
    private BigDecimal yearType;

    @ApiModelProperty(value = "季（元）")
    private BigDecimal seasonType;

    @ApiModelProperty(value = "月（元）")
    private BigDecimal monthType;

    @ApiModelProperty(value = "次（元）")
    private BigDecimal secondType;

    @ApiModelProperty(value = "创建人", hidden = true)
    private String crePerson;




    /**
     * 接口需要的参数
     */
    @ApiModelProperty(value = "接入类型:对应字典表key",required = true)
    @NotNull(message = "接入类型不能为空")
    private String joinType;

    @ApiModelProperty(value = "api请求协议 HTTP/HTTPS")
    @NotNull(message = "api请求协议不能为空")
    private String apiProtocl;

    @ApiModelProperty(value = "返回类型 json/flow")
    @NotNull(message = "返回类型不能为空")
    private String returnType;

    @ApiModelProperty(value = "加密方式  MD5/RSA")
    @NotNull(message = "加密方式不能为空")
    private String encryMode;


    @ApiModelProperty(value = "是否分页")
    @NotNull(message = "是否分页不能为空")
    private Boolean page;


//    @ApiModelProperty(value = "接口描述",required = false)
//    private String apiDesc;
    /**
     * apiParam
     */
    @ApiModelProperty(value = "请求参数")
    private List<DataGoodsApiParams> requestParam;

    @ApiModelProperty(value = "响应参数")
    private List<DataGoodsApiParams> responseParam;

    @ApiModelProperty(value = "是否必选")
    private String ifRequird;

}
