package com.jz.dm.mall.moduls.controller.order.bean.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/24
 * @Version:
 */
@ApiModel(value = "api日志返回参数")
@Data
public class ApiReqLogDto implements Serializable {

    /**
     * 主健ID
     */
    @ApiModelProperty("主健ID")
    private Long id;

    /**
     * 请求ip
     */
    @ApiModelProperty("请求ip")
    private String requestIp;

    /**
     * apikey
     */
    @ApiModelProperty("api_key")
    private String apiKey;

    /**
     * 请求参数
     */
    @ApiModelProperty("request_params")
    private String requestParams;

    /**
     * 返回参数
     */
    @ApiModelProperty("response_params")
    private String responseParams;

    /**
     * 请求路径
     */
    @ApiModelProperty("request_url")
    private String requestUrl;

    /**
     * 请求方法
     */
    @ApiModelProperty("request_method")
    private String requestMethod;


    /**
     * 客户请求token
     */
    @ApiModelProperty("request_token")
    private String requestToken;
    /**
     * 处理状态 默认为0 未处理
     */
    @ApiModelProperty("处理状态 默认为0 未处理")
    private String handlerStatus;
    /**
     * 请求总耗时
     */
    @ApiModelProperty("请求总耗时")
    private String requestConsuming;
    /**
     * 请求开始时间
     */
    @ApiModelProperty("请求开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date requestStartTime;
    /**
     * 请求结束时间
     */
    @ApiModelProperty("请求结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date requestEndTime;

    /**
     * 请求状态: SUCCEED 成功 ,FAIL 失败
     */
    @ApiModelProperty("请求状态: SUCCEED 成功 ,FAIL 失败")
    private String status;


    /**
     * 备注
     */
    @TableField("remark")
    @JsonIgnore
    private String remark;

    @ApiModelProperty(value = "调用数")
    @TableField(exist = false)
    private String callNumber;

    @ApiModelProperty(value = "错误率")
    @TableField(exist = false)
    private String errorRate;

    @ApiModelProperty(value = "成功数")
    @TableField(exist = false)
    private String scSuccess;

    @ApiModelProperty(value = "错误数")
    @TableField(exist = false)
    private String wrongNumber;
}
