package com.jz.dm.mall.moduls.controller.order.bean.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 订单表(TOrder)实体类
 *
 * @author makejava
 * @since 2020-12-01 10:41:40
 */

@ApiModel(value = "订单管理-列表展示")
@Data
public class OrderDto implements Serializable {
    private static final long serialVersionUID = 651546246975691600L;
    /**
     * 订单id
     */
    @ApiModelProperty(value = "订单id")
    private Long orderId;
    /**
     * 订单编号
     */
    @ApiModelProperty(value = "订单编号")
    private String orderNumber;
    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long customerId;
    /**
     * 订单状态：01待支付，02已支付，03已取消
     */
    @ApiModelProperty(value = "订单状态：01待支付，02已支付，03已取消")
    private String orderStatus;
    /**
     * 订单金额
     */
    @ApiModelProperty(value = "订单金额")
    private BigDecimal orderMoney;
    /**
     * 订单时间
     */
    @ApiModelProperty(value = "订单时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date orderTime;
    /**
     * 卖家id
     */
    @ApiModelProperty(value = "卖家id")
    private Long sellerId;
    /**
     * 支付金额
     */
    @ApiModelProperty(value = "支付金额")
    private BigDecimal paymentMoney;
    /**
     * 支付时间
     */
    @ApiModelProperty(value = "支付时间")
    private Date paymentTime;
    /**
     * 支付方式：01余额
     */
    @ApiModelProperty(value = "支付方式：01余额")
    private String paymentMethod;
    /**
     * 优惠金额
     */
    @ApiModelProperty(value = "优惠金额")
    private BigDecimal districtMoney;
    /**
     * 购买方式：01年，02季，03月，04次(服务类型)
     */
    @ApiModelProperty(value = "购买方式：01年，02季，03月，04次(服务类型)")
    private String purchaseMethod;
    /**
     * 商品token
     */
    private String goodsToken;
    /**
     * 盐值
     */
    @ApiModelProperty(value = "盐值")
    private String saltValue;
    /**
     * apikey
     */
    @ApiModelProperty(value = "apikey")
    private String apiKey;
    /**
     * 生效日期
     */
    @ApiModelProperty(value = "生效日期")
    private Date takeEffectTime;
    /**
     * 失效日期
     */
    @ApiModelProperty(value = "失效日期")
    private Date invalidTime;

    @ApiModelProperty(value = "有效期")
    private String indate;

    /**
     * 价格类型：01免费，02收费
     */
    private String priceType;
    /**
     * 创建人
     */
    private String crePerson;
    /**
     * 创建时间
     */
    private Date creTime;
    /**
     * 更新时间
     */
    private Date uptTime;
    /**
     * 更新人
     */
    private String uptPerson;
    /**
     * 删除标识
     */
    private String delFlag;
    /**
     * 数据名称
     */
    @ApiModelProperty(value = "数据名称")
    private String dataName;
    /**
     * 数据分类
     */
    @ApiModelProperty(value = "数据分类")
    private String dataType;
}