package com.jz.dm.mall.moduls.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 数据商品分类(行业)(TDataGoodsCategory)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:32
 */
@TableName("t_data_goods_category")
@ApiModel
@Data
public class DataGoodsCategory implements Serializable {
    private static final long serialVersionUID = -54881838919746328L;
    /**
     * 商品分类id
     */
    @TableId(value = "category_id", type = IdType.AUTO)
    @ApiModelProperty(value = "商品分类id")
    private Long categoryId;
    /**
     * 分类名称
     */
    @TableField("category_name")
    @ApiModelProperty(value = "分类名称")
    private String categoryName;
    /**
     * 父级分类id
     */
    @TableField("parent_id")
    @ApiModelProperty(value = "父级分类id")
    private Long parentId;
    /**
     * 是否为子节点：Y是，N否
     */
    @TableField("if_child")
    @ApiModelProperty(value = "是否为子节点")
    private String ifChild;
    /**
     * 创建时间
     */
    @TableField("cre_time")
    @ApiModelProperty(value = "创建时间")
    private Date creTime;
    @TableField("cre_person")
    @ApiModelProperty(value = "创建人")
    private String crePerson;

    /**
     * 更新时间
     */
    @TableField("upt_time")
    @ApiModelProperty(value = "更新时间")
    private Date uptTime;

    @TableField("upt_person")
    @ApiModelProperty(value = "更新人")
    private String uptPerson;

    @ApiModelProperty(value = "分类描述")
    @TableField("category_desc")
    private String categoryDesc;

    @ApiModelProperty("分类图片")
    @TableField("category_picture")
    private String categoryPicture;

    @ApiModelProperty("分类位置")
    @TableField("category_location")
    private String categoryLocation;

    @TableField("del_flag")
    @ApiModelProperty(value = "是否删除")
    private String delFlag;
}