package com.jz.dm.mall.moduls.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户需求定制申请(Demand)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:34
 */
@TableName("t_demand")
@ApiModel
@Data
public class Demand implements Serializable {
    private static final long serialVersionUID = 119352065467540895L;
    /**
     * 需求id
     */
    @TableId(value = "demand_id", type = IdType.AUTO)
    private Long demandId;
    /**
     * 用户id
     */
    private Long customerId;

    /**
     * 需求名称
     */
    private String demandName;
    /**
     * 需求描述
     */
    private String demandDescribe;


    /**
     * 审核状态：01待审核，02已审核，03未通过
     */
    private String auditStatus;
    /**
     * 审核人
     */
    private String auditPerson;
    /**
     * 审核时间
     */
    private Date auditTime;
    /**
     * 驳回原因
     */
    private String rejectReason;

    /**
     * 创建人
     */
    private String crePerson;
    /**
     * 创建时间
     */
    private Date creTime;
    /**
     * 删除标识：Y是，N否
     */
    private String delFlag;

}