package com.jz.dm.mall.moduls.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 商城用户(TMallCustomer)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:39
 */
@TableName("t_mall_customer")
@ApiModel
@Data
public class MallCustomer implements Serializable {
    private static final long serialVersionUID = 844124479008859411L;
    /**
     * 用户id
     */
    @TableId(value = "customer_id",type = IdType.AUTO)
    private Long customerId;
    /**
     * 企业id
     */
    @TableField(value = "department_id")
    private Long departmentId;
    /**
     * 密码
     */
    @TableField(value = "password")
    private String password;
    /**
     * 账户
     */
    @TableField(value = "customer_account")
    private String customerAccount;
    /**
     * 用户真实姓名
     */
    @TableField(value = "customer_name")
    private String customerName;
    /**
     * 联系电话
     */
    @TableField(value = "customer_phone")
    private String customerPhone;
    /**
     * 邮箱
     */
    @TableField(value = "customer_email")
    private String customerEmail;
    /**
     * 地址
     */
    @TableField(value = "customer_address")
    private String customerAddress;

    /**
     * 供应商编码
     */
    @TableField(value = "vendor_id")
    private String vendorId;
    /**
     * 账号来源
     */
    @TableField(value = "customer_source")
    private String customerSource;
    /**
     * 用户积分
     */
    @TableField(value = "customer_point")
    private Long customerPoint;
    /**
     * 注册时间
     */
    @TableField(value = "register_time")
    private Date registerTime;
    /**
     * 会员等级
     */
    @TableField(value = "customer_level")
    private String customerLevel;
    /**
     * 证件号
     */
    @TableField(value = "identity_card")
    private String identityCard;
    /**
     * 创建时间
     */
    @TableField(value = "cre_time")
    private Date creTime;

    @TableField(value = "cre_person")
    private String crePerson;
    /**
     * 更新时间
     */
    @TableField(value = "upt_time")
    private Date uptTime;
    /**
     * 更新人
     */
    @TableField(value = "upt_person")
    private String uptPerson;
    /**
     * 删除标识：Y是，N否
     */
    @TableField(value = "del_flag")
    private String delFlag;

}