package com.jz.dm.mall.moduls.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.base.BaseMapper;
import com.jz.dm.mall.moduls.controller.customer.bean.dto.PurchaserUserCenterDto;
import com.jz.dm.mall.moduls.controller.order.bean.dto.*;
import com.jz.dm.mall.moduls.entity.Order;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 订单表(TOrder)表数据库访问层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:40
 */
public interface OrderDao extends BaseMapper<Order> {


    List<OrderDto> findList(Map<String, Object> param) throws Exception;

    OrderDto getOrderDetail(@Param("orderId") String orderId) throws Exception;

    List<DataGoodsApiDto> getApiInterfaceDetail(Map params) throws Exception;

    List<DataGoodsApiDto> getApiInterface(Map params) throws Exception;

    List<DataGoodsApiParamsDto> getApiParamsInfo(@Param("goodsApi") Long goodsApi);

    /**
     * 更新授权码和盐值
     * @param order
     */
    void updateTokenAndSalt(Order order);



    IPage<OrderBySellerDto> queryPageListBySeller(IPage<OrderBySellerDto> page, @Param("ew") QueryWrapper<OrderBySellerDto> query);

    PurchaserUserCenterDto getMoneyAndOrderTotalDto(Map map);


    List<Map<String, String>> getApiKey(@Param(value = "departmentId") Long departmentId);

    List<OrderByPurchaserDto> queryPageListByPurchaser(Map<String, Object> param);
}