package com.jz.dm.mall.moduls.service;

import com.jz.common.bean.BasePageBean;
import com.jz.common.bean.PageInfoResponse;
import com.jz.common.utils.Result;
import com.jz.dm.mall.moduls.controller.finance.bean.dto.EveryTradeFlowDto;
import com.jz.dm.mall.moduls.controller.finance.bean.dto.FinanceCashOutDto;
import com.jz.dm.mall.moduls.controller.finance.bean.dto.FinanceCustomerAssetsDto;
import com.jz.dm.mall.moduls.controller.finance.bean.dto.FinanceTradeFlowDto;
import com.jz.dm.mall.moduls.controller.finance.bean.req.EveryTradeFlowRequest;
import com.jz.dm.mall.moduls.controller.finance.bean.req.FinanceCashOutRequest;
import com.jz.dm.mall.moduls.controller.finance.bean.req.FinanceCustomerBalanceRequest;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * 企业客户交易流水(TFinanceTradeFlow)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:39
 */
public interface FinanceTradeFlowService {

    /**
     * 充值----获取企业账户余额
     * @param map
     * @return
     * @throws Exception
     */
    FinanceCustomerAssetsDto queryAccountMoneyByMap(Map map) throws Exception;

    /**
     * 保存充值金额
     * @param financeCustomerBalanceRequest
     * @return
     * @throws Exception
     */
    Boolean uptAccountMoney(FinanceCustomerBalanceRequest financeCustomerBalanceRequest) throws Exception;

    /**
     * 获取可提现金额
     * @param map
     * @return
     * @throws Exception
     */
    FinanceCashOutDto getCashOutAuditStutas(Map map) throws Exception;

    /**
     * 保存提现金额
     * @param financeCashOutRequest
     * @return
     * @throws Exception
     */
    Result<Object> addCashOutMoney(FinanceCashOutRequest financeCashOutRequest) throws Exception;

    /**
     * 收支情况-分页查询
     * @param pageBean
     * @param req
     * @return
     * @throws Exception
     */
    PageInfoResponse<FinanceTradeFlowDto> findListScTradeFlow(BasePageBean pageBean, HttpServletRequest req) throws Exception;

    /**
     * 点击查看--每天--收支情况（分页查询）
     * @param everyTradeFlowRequest
     * @param req
     * @return
     * @throws Exception
     */
    PageInfoResponse<EveryTradeFlowDto> findListEveryDayScInfo(EveryTradeFlowRequest everyTradeFlowRequest, HttpServletRequest req) throws Exception;
}