package com.jz.dm.mall.moduls.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.bean.PageInfoResponse;
import com.jz.common.utils.Result;
import com.jz.dm.mall.moduls.controller.customer.bean.dto.PurchaserUserCenterDto;
import com.jz.dm.mall.moduls.controller.customer.bean.req.PurchaserUserCenterReq;
import com.jz.dm.mall.moduls.controller.order.bean.dto.OrderByPurchaserDto;
import com.jz.dm.mall.moduls.controller.order.bean.dto.OrderBySellerDto;
import com.jz.dm.mall.moduls.controller.order.bean.dto.OrderDto;
import com.jz.dm.mall.moduls.controller.order.bean.req.LogInfoListReq;
import com.jz.dm.mall.moduls.controller.order.bean.req.OrderRequest;
import com.jz.dm.mall.moduls.controller.order.bean.req.SaltResetReq;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * 订单表(TOrder)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:40
 */
public interface OrderService {

    /**
     * 订单管理列表（分页查询）
     *
     * @author Bellamy
     */
    PageInfoResponse<OrderDto> findList(OrderRequest order, HttpServletRequest req) throws Exception;

    /**
     * 根据订单主键查询，订单详情
     * @param orderId
     * @return
     * @throws Exception
     */
    OrderDto getOrderDetail(String orderId) throws Exception;

    /**
     * 根据订单主键查询，订单详情-接口文档
     * @param params
     * @return
     * @throws Exception
     */
    Map getApiInterfaceDetail(Map params) throws Exception;


    /**
     * 订单管理列表（分页查询）--卖方
     * @param req
     * @param httpServletRequest
     * @return
     */
    Result<IPage<OrderBySellerDto>> queryPageListBySeller(OrderRequest req, HttpServletRequest httpServletRequest);

    /**
     * 买家-用户中心
     * @param req
     * @return
     */
    Result<PurchaserUserCenterDto> userCenter(PurchaserUserCenterReq req);

    /**
     * 订单管理(条件分页查询)--买方
     * @param req
     * @return
     */
    Result<PageInfoResponse<OrderByPurchaserDto>> queryPageListByPurchaser(OrderRequest req);

    Result getApiKey();

    /**
     * 获取订单日志详情
     * @param req
     * @return
     */
    Result getLogDetails(LogInfoListReq req);

    /**
     * 重置盐值
     * @param req
     * @return
     */
    Result updateSalt(SaltResetReq req);
}