package com.jz.manage.moduls.controller.config;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.utils.Result;
import com.jz.manage.moduls.controller.BaseController;
import com.jz.manage.moduls.controller.config.bean.req.BannerAddAndEditReq;
import com.jz.manage.moduls.controller.config.bean.req.BannerConfigListReq;
import com.jz.manage.moduls.entity.Banner;
import com.jz.manage.moduls.service.BannerServer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/7
 * @Version:
 */
@RestController
@RequestMapping("banner")
@Api(tags = "平台--配置管理--controller")
public class BannerController extends BaseController {

    @Autowired
    private BannerServer bannerServer;

    /**
     * 查询全部广告
     * @return
     */
    @PostMapping(value = "/findList")
    @ApiOperation(value = "广告配置--查询全部广告")
    public Result<IPage<Banner>> findList(@RequestBody BannerConfigListReq req) {
        return bannerServer.findList(req);
    }

    /**
     * 查询广告详情
     * @param bannerId
     * @return
     */
    @PostMapping(value = "/findByBanner")
    @ApiOperation(value = "广告配置--查询广告详情")
    public Result findByBanner(@RequestParam(name = "bannerId") Long bannerId) {
        return bannerServer.findByBanner(bannerId);
    }

    /**
     * 新增广告
     * @param req
     * @return
     */
    @PostMapping(value = "/addBanner")
    @ApiOperation(value = "广告配置--新增广告")
    public Result addBanner(@RequestBody BannerAddAndEditReq req) {
        return bannerServer.addBanner(req);
    }

    /**
     * 编辑广告
     * @param req
     * @return
     */
    @PostMapping(value = "/editBanner")
    @ApiOperation(value = "广告配置--编辑广告")
    public Result editBanner(@RequestBody BannerAddAndEditReq req) {
        return bannerServer.editBanner(req);
    }

    /**
     * 删除广告
     * @param bannerId
     * @return
     */
    @PostMapping(value = "/deleteBanner")
    @ApiOperation(value = "广告配置--删除广告")
    public Result deleteBanner(@RequestParam(name = "bannerId") Long bannerId) {
        return bannerServer.deleteBanner(bannerId);
    }
}
