package com.jz.manage.moduls.controller.config;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.utils.Result;
import com.jz.manage.moduls.controller.BaseController;
import com.jz.manage.moduls.controller.config.bean.req.CategoryConfigEditReq;
import com.jz.manage.moduls.controller.config.bean.req.CategoryConfigReq;
import com.jz.manage.moduls.controller.config.bean.req.MenuConfigReq;
import com.jz.manage.moduls.entity.DataGoodsCategory;
import com.jz.manage.moduls.entity.MenuConfig;
import com.jz.manage.moduls.service.MenuConfigServer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/7
 * @Version:
 */
@RestController
@RequestMapping("menuConfig")
@Api(tags = "平台--配置管理--controller")
public class MenuConfigController extends BaseController {

    @Autowired
    private MenuConfigServer menuConfigServer;

    /**
     * 查询全部菜单
     * @return
     */
    @GetMapping(value = "/findList")
    @ApiOperation(value = "菜单配置--查询全部菜单")
    public Result findList() {
        return menuConfigServer.findList();
    }

    /**
     * 编辑菜单
     * @param req
     * @return
     */
    @PostMapping(value = "/editUrl")
    @ApiOperation(value = "菜单配置--编辑菜单")
    public Result editUrl(@RequestBody @Valid MenuConfigReq req) {
        return menuConfigServer.editUrl(req);
    }

    /**
     * 条件查询分类配置
     * @param req
     * @return
     */
    @PostMapping(value = "/findCategory")
    @ApiOperation(value = "分类配置--条件查询分类")
    public Result<IPage<DataGoodsCategory>> findCategory(@RequestBody CategoryConfigReq req) {
        return menuConfigServer.findCategory(req);
    }

    /**
     * 编辑分类配置
     * @param req
     * @return
     */
    @PostMapping(value = "/editCategory")
    @ApiOperation(value = "分类配置--编辑分类配置")
    public Result editCategory(@RequestBody @Valid CategoryConfigEditReq req) {
        return menuConfigServer.editCategory(req);
    }

}
