package com.jz.manage.moduls.controller.config.bean.req;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/7
 * @Version:
 */
@ApiModel
@Data
public class BannerAddAndEditReq implements Serializable {

    @ApiModelProperty(value = "广告id")
    private Long bannerId;

    @ApiModelProperty(value = "广告名称")
    @NotNull(message = "广告名称不能为空")
    private String bannerName;

    @ApiModelProperty(value = "广告位置")
    @NotNull(message = "广告位置不能为空")
    private String bannerLocation;

    @ApiModelProperty(value = "广告位描述")
    private String bannerDesc;

    @ApiModelProperty(value = "广告链接")
    @NotNull(message = "广告链接不能为空")
    private String bannerUrl;

    @ApiModelProperty(value = "排序")
    @NotNull(message = "排序不能为空")
    private Long sort;

    @ApiModelProperty(value = "开始时间")
    @NotNull(message = "开始时间不能为空")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date bannerStart;

    @ApiModelProperty(value = "结束时间")
    @NotNull(message = "结束时间不能为空")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date bannerEnd;
}
