package com.jz.manage.moduls.controller.customer.bean.request;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.jz.common.bean.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2020/12/10
 * @Version:
 */
@ApiModel(value = "企业添加信息请求参数封装")
@Data
public class SaveCustomerRequest implements Serializable {

    @ApiModelProperty(value = "企业名称")
    @NotNull(message = "企业名称不能为空")
    private String departmentName;

    @ApiModelProperty(value = "企业地址")
    @NotNull(message = "企业地址不能为空")
    private String registeredAddress;

    @ApiModelProperty(value = "营业执照")
    @NotNull(message = "营业执照不能为空")
    private String businessLicense;

    @ApiModelProperty(value = "统一社会信用代码")
    @NotNull(message = "统一社会信用代码不能为空")
    private String unifiedCreditCode;

    @ApiModelProperty(value = "银行卡号")
    @NotNull(message = "银行卡号不能为空")
    private String bankCardNumber;

    @ApiModelProperty(value = "开户行地址")
    @NotNull(message = "开户行地址不能为空")
    private String bankAddress;

    @ApiModelProperty(value = "联系人姓名")
    @NotNull(message = "联系人姓名不能为空")
    private String linkman;

    @ApiModelProperty(value = "联系人电话")
    @NotNull(message = "联系人电话不能为空")
    private String telephone;

    @ApiModelProperty(value = "账号名")
    @NotNull(message = "账号名不能为空")
    private String customerAccount;

    @ApiModelProperty(value = "账号手机号",hidden = true)
    private String customerPhone;

    @ApiModelProperty(value = "密码")
    @NotNull(message = "密码不能为空")
    private String password;

    @ApiModelProperty(value = "充值金额")
    private BigDecimal balanceMoney;

    @ApiModelProperty(value = "用户角色",hidden = true)
    private String roleId;
}
