package com.jz.manage.moduls.controller.finance.platForm.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/1/21
 * @Version:
 */
@ApiModel("快速充值/提现--搜索企业返回参数")
@Data
public class DepartmentAssetsDto implements Serializable {
    @ApiModelProperty(value = "企业id")
    private Long departmentId;
    @ApiModelProperty(value = "企业名称")
    private String departmentName;
    @ApiModelProperty("联系人")
    private String linkman;
    @ApiModelProperty("手机号")
    private String telephone;
    @ApiModelProperty(value = "统一社会信用代码")
    private String unifiedCreditCode;
    @ApiModelProperty("可用余额")
    private String useMoney;
    @ApiModelProperty("用户id")
    private Long customerId;
    @ApiModelProperty("用户名称")
    private String customerName;
    @ApiModelProperty("资产账户id")
    private Long assetsId;
    @ApiModelProperty("商品名称")
    private String dataName;

    @ApiModelProperty("生效日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date takeEffectTime;

    @ApiModelProperty("失效日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date invalidTime;

    @ApiModelProperty("购买方式")
    private String purchaseMethod;

    @ApiModelProperty("支付金额")
    private String paymentMoney;

    @ApiModelProperty("年（元）")
    private String yearType;
    @ApiModelProperty("季（元）")
    private String seasonType;
    @ApiModelProperty("月（元）")
    private String monthType;
    @ApiModelProperty("次（元）")
    private String secondType;
    @ApiModelProperty("订单id")
    private Long orderId;

    @ApiModelProperty(value = "价格类型 01免费，02收费")
    private String priceType;
}
