package com.jz.manage.moduls.controller.goods;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.constant.ResultMsg;
import com.jz.common.utils.Result;
import com.jz.common.utils.StatusCode;
import com.jz.manage.moduls.controller.BaseController;
import com.jz.manage.moduls.controller.goods.bean.dto.DepartmentDataGoodsDto;
import com.jz.manage.moduls.controller.goods.bean.request.DepartmentByRenewReq;
import com.jz.manage.moduls.controller.goods.bean.request.DepartmentDataGoodsReq;
import com.jz.manage.moduls.service.DataGoodsApiService;
import com.jz.manage.moduls.service.DataGoodsService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;


/**
 * api商品(TDataGoodsApi)表控制层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:31
 */
@RestController
@RequestMapping("dataGoodsApi")
@Api(tags = "平台--商品管理--企业商品管理--controller")
public class DataGoodsApiController extends BaseController {
    /**
     * 服务对象
     */
    @Autowired
    private DataGoodsApiService tDataGoodsApiService;


    /**
     * 根据主键查询商品详情-api
     * @param id
     * @return
     */
    @GetMapping("/getDataDetails/{id}")
    @ApiOperation(value = "点击商品查看商品详情", notes = "api商品")
    public Result findById(@PathVariable(value = "id") Long id) throws Exception{
        if (id != null) {
            return tDataGoodsApiService.selectById(id);
        }
        return Result.of_error("查询失败！");
    }

    @PostMapping("/findByDepartmentGoods")
    @ApiOperation(value = "企业商品管理--列表查询")
    public Result<IPage<DepartmentDataGoodsDto>> findByDepartmentGoods(@RequestBody DepartmentDataGoodsReq req) {
        return tDataGoodsApiService.findByDepartmentGoods(req);
    }

    @PostMapping("/DepartmentByRenew")
    @ApiOperation(value = "企业商品管理--续费")
    public Result DepartmentByRenew(@RequestBody @Valid DepartmentByRenewReq req) {
        try {
            return tDataGoodsApiService.DepartmentByRenew(req);
        } catch (Exception e) {
            e.printStackTrace();
            return Result.of_error(ResultMsg.FAILURE);
        }
    }

}