package com.jz.manage.moduls.controller.goods.bean.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
 * @Description:
 * @Author: Mr.zhang
 * @Date: 2020-12-23
 */
@Data
@ApiModel("gateWay制作api返回参数")
public class ApiInterfaceDto implements Serializable {


	/**
	* api唯一标识
	*/
	@ApiModelProperty(value = "api唯一标识")
    private String apiKey;

	/**
	* api名称
	*/
	@ApiModelProperty(value = "api名称")
    private String apiName;

	/**
	* api请求协议：http，https
	*/
	@ApiModelProperty(value = "api请求协议：http，https")
    private String apiProtocl;

	/**
	* 接入类型:对应字典表key
	*/
	@ApiModelProperty(value = "接入类型:对应字典表key")
    private String apiType;

	/**
	* 目标url
	*/
	@ApiModelProperty(value = "目标url")
    private String targetUrl;

	/**
	* 请求方式:GET POST
	*/
	@ApiModelProperty(value = "请求方式:GET POST")
    private String reqType;

	/**
	* '输出类型:flow 流形式输出, json格式输出',
	*/
	@ApiModelProperty(value = "'输出类型:flow 流形式输出, json格式输出',")
    private String outputType;


	/**
	* 状态(1-草稿 2-发布 3-过时 4-冻结 5-失效)
	*/
	@ApiModelProperty(value = "状态(1-草稿 2-发布 3-过时 4-冻结 5-失效)")
    private String status;
	/**
	* 接口功能
	*/
	@ApiModelProperty(value = "接口功能")
    private String apiFunction;

	/**
	* 版本号
	*/
	@ApiModelProperty(value = "版本号")
    private String version;

	/**
	* 加密方式：0 无  1. MD5  2. RSA
	*/
	@ApiModelProperty(value = "加密方式：0 无  1. MD5  2. RSA")
    private Integer signType;

	/**
	 * 限流类型:DAY 按天,MONTH 按月, YEAR 按年
	 */
	@ApiModelProperty(value = "限流类型:DAY 按天,MONTH 按月, YEAR 按年")
	private String limitType;

	/**
	 * 限制次数
	 */
	@ApiModelProperty(value = "限制次数")
	private Long reqFrequency;
	/**
	* 超时时间
	*/
	@ApiModelProperty(value = "超时时间")
    private String timeout;


	/**
	* 文件夹id
	*/
	@ApiModelProperty(value = "文件夹id")
    private Long fileId;


}
