package com.jz.manage.moduls.controller.goods.bean.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/5
 * @Version:
 */
@ApiModel("企业商品列表返回参数")
@Data
public class DepartmentDataGoodsDto implements Serializable {

    @ApiModelProperty("企业id")
    private Long departmentId;

    @ApiModelProperty("企业名称")
    private String departmentName;

    @ApiModelProperty("商品id")
    private Long dataGoodsId;

    @ApiModelProperty("商品名称")
    private String dataName;

    @ApiModelProperty("商品分类")
    private String categoryName;

    @ApiModelProperty("商品状态")
    private String  goodsStatus;

    @ApiModelProperty("授权时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date privilegedTime;

    @ApiModelProperty("授权开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date takeEffectTime;

    @ApiModelProperty("授权结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date invalidTime;

}
