package com.jz.manage.moduls.controller.goods.bean.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jz.common.enums.auth.AuthModeEnum;
import com.jz.common.enums.auth.AuthTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2020/12/31
 * @Version:
 */
@Data
@ApiModel("商城用户API认证")
public class AuthMallUserApiReq implements Serializable {

    private static final long serialVersionUID = -6112096815489941276L;
    @ApiModelProperty(value = "apiKey唯一标识",required = true)
    @NotNull(message = "apiKey唯一标识不能为空")
    private String apiKey;

    @ApiModelProperty(value = "组织编码",required = true)
    @NotNull(message = "组织编码不能为空")
    private String orgCode;

    @ApiModelProperty(value = "授权类型:DATA_BANK_AUTH 数据银行 , DMP_AUTH 授权",required = true)
    @NotNull(message = "授权类型不能为空")
    private String authType;

    @ApiModelProperty(value = "授权方式:POWER_CALL_MODE 按次调用 ,RECORD_TIME_MODE 按时间调用,PERMANENT_TIME_MODE 永久有效",required = true)
    @NotNull(message = "授权方式不能为空")
    private String authMode;

    @ApiModelProperty(value = "开始时间",required = false)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date validStartTime;

    @ApiModelProperty(value = "结束时间",required = false)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date validEndTime;

    @ApiModelProperty(value = "备注",required = false)
    private String remark;

    @ApiModelProperty(value = "创建用户",required = false)
    private String createUser;
}
