package com.jz.manage.moduls.controller.goods.bean.request;

import com.jz.manage.moduls.entity.DataGoodsApiParams;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2020/12/29
 * @Version:
 */
@Data
@ApiModel(value = "制作商品--制作商品参数对象", description = "制作商品参数对象")
public class DataApiUpReq implements Serializable {
    /**
     * goods
     */
    @ApiModelProperty(value = "apiKey")
    @NotNull(message = "apiKey不能为空")
    private String apiKey;
    @ApiModelProperty(value = "数据类型")
    @NotNull(message = "数据类型不能为空")
    private String dataType;
    @ApiModelProperty(value = "数据商品名称")
    @NotNull(message = "数据商品名称不能为空")
    private String dataName;
    @ApiModelProperty(value = "商品分类")
    private Long categoryId;
    @ApiModelProperty(value = "场景分类")
    private Long sceneId;
    @ApiModelProperty(value = "数据描述")
    @NotNull(message = "数据描述不能为空")
    private String dataDesc;
    @ApiModelProperty(value = "商品图片")
    @NotNull(message = "商品图片不能为空")
    private String dataPicture;
    @ApiModelProperty(value = "商品有限期")
    @NotNull(message = "商品有限期不能为空")
    private Integer goodsLimited;
    @ApiModelProperty(value = "价格类型")
    @NotNull(message = "价格类型不能为空")
    private String priceType;
    @ApiModelProperty(value = "年（元）")
    private BigDecimal yearType;
    @ApiModelProperty(value = "季（元）")
    private BigDecimal seasonType;
    @ApiModelProperty(value = "月（元）")
    private BigDecimal monthType;
    @ApiModelProperty(value = "次（元）")
    private BigDecimal secondType;


}
