package com.jz.manage.moduls.controller.goods.bean.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/5
 * @Version:
 */
@ApiModel("企业商品管理--续费--请求参数")
@Data
public class DepartmentByRenewReq implements Serializable {
    @ApiModelProperty(value = "企业id")
    @NotNull(message = "企业id不能为空")
    private Long departmentId;

    @ApiModelProperty(value = "商品id")
    @NotNull(message = "商品id不能为空")
    private Long dataGoodsId;

    @ApiModelProperty(value = "资产id")
    @NotNull(message = "资产id不能为空")
    private Long assetsId;

    @ApiModelProperty("用户id")
    @NotNull(message = "用户id不能为空")
    private Long customerId;

    @ApiModelProperty(value = "商品金额")
    private BigDecimal dataPrice;

    @ApiModelProperty(value = "失效期")
    @NotNull(message = "失效期不能为空")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date invalidTime;

    @ApiModelProperty(value = "订单id")
    @NotNull(message = "订单id不能为空")
    private Long orderId;

    @ApiModelProperty(value = "购买方式 01年，02季，03月，04次")
    @NotNull(message = "购买方式不能为空")
    private String purchaseMethod;
}
