package com.jz.manage.moduls.controller.goods.bean.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/2
 * @Version:
 */
@Data
@ApiModel
public class GoodsByAuthorizationReq implements Serializable {
    @ApiModelProperty(value = "商品id", required = true)
    @NotNull(message = "商品id不能为空")
    private Long dataGoodsId;

    @ApiModelProperty(value = "企业id", required = true)
    @NotNull(message = "企业id不能为空")
    private Long departmentId;

    @ApiModelProperty(value = "用户id", required = true)
    @NotNull(message = "用户id不能为空")
    private Long customerId;

    @ApiModelProperty(value = "购买方式 01年，02季，03月，04次", required = true)
    @NotNull(message = "购买方式不能为空")
    private String purchaseMethod;

    @ApiModelProperty(value = "生效期", required = true)
    @NotNull(message = "生效期不能为空")

    private Date takeEffectTime;

    @ApiModelProperty(value = "失效期", required = true)
    @NotNull(message = "失效期不能为空")
    private Date invalidTime;

    @ApiModelProperty(value = "apiKey", required = true)
    @NotNull(message = "apiKey不能为空")
    private String apiKey;
    @ApiModelProperty(value = "商品金额", required = true)
    @NotNull(message = "商品金额不能为空")
    private BigDecimal dataPrice;
    @ApiModelProperty(value = "价格类型 01免费，02收费")
    private String priceType;
    @ApiModelProperty(value = "资产账户id", required = true)
    @NotNull(message = "资产账户id不能为空")
    private Long assetsId;
}
