package com.jz.manage.moduls.controller.order.bean.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 订单表(TOrder)实体类
 *
 * @author makejava
 * @since 2020-12-01 10:41:40
 */

@ApiModel(value = "订单管理--订单列表返回参数对象", description = "订单列表返回参数对象")
@Data
public class OrderDetailDto {
    private static final long serialVersionUID = 651546246975691600L;
    /**
     * 订单编号
     */
    @ApiModelProperty(value = "订单编号")
    private String orderNumber;
    /**
     * 数据名称
     */
    @ApiModelProperty(value = "数据名称")
    private String dataName;
    @ApiModelProperty(value = "数据类型")
    private String dataType;

    /**
     * 订单时间
     */
    @ApiModelProperty(value = "订单时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date orderTime;

    /**
     * 购买方式：01年，02季，03月，04次(服务类型)
     */
    @ApiModelProperty(value = "购买方式：01年，02季，03月，04次(服务类型)")
    private String purchaseMethod;

    @ApiModelProperty(value = "有效期")
    private String indate;
    /**
     * 失效日期
     */
    @ApiModelProperty(value = "失效日期")
    private Date invalidTime;

    @ApiModelProperty("goodsToken")
    private String goodsToken;
}