package com.jz.manage.moduls.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName: 广告实体对象
 * @Author: Carl
 * @Date: 2021/2/7
 * @Version:
 */
@ApiModel
@Data
@TableName("t_banner")
public class Banner implements Serializable {
    private static final long serialVersionUID = 596897642919072871L;

    @ApiModelProperty(value = "广告id")
    @TableId(value = "banner_id", type = IdType.AUTO)
    private Long bannerId;

    @ApiModelProperty(value = "广告名称")
    @TableField("banner_name")
    private String bannerName;

    @ApiModelProperty(value = "广告位置")
    @TableField("banner_location")
    private String bannerLocation;

    @ApiModelProperty(value = "广告位描述")
    @TableField("banner_desc")
    private String bannerDesc;

    @ApiModelProperty(value = "广告链接")
    @TableField("banner_url")
    private String bannerUrl;

    @ApiModelProperty(value = "排序")
    @TableField("sort")
    private Long sort;

    @ApiModelProperty(value = "开始时间")
    @TableField("banner_start")
    private Date bannerStart;

    @ApiModelProperty(value = "结束时间")
    @TableField("banner_end")
    private Date bannerEnd;

    @ApiModelProperty(value = "创建时间")
    @TableField("cre_time")
    private Date creTime;

    @ApiModelProperty(value = "创建人")
    @TableField("cre_person")
    private String crePerson;

    @ApiModelProperty(value = "更新时间")
    @TableField("upt_time")
    private Date uptTime;

    @ApiModelProperty(value = "更新人")
    @TableField("upt_person")
    private String uptPerson;

    @ApiModelProperty(value = "删除标识")
    @TableField("del_flag")
    private String delFlag;
}
