package com.jz.manage.moduls.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 数据商品(TDataGoods)实体类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:30
 */
@TableName(value = "t_data_goods",autoResultMap = true)
@ApiModel
@Data
public class DataGoods implements Serializable {
    private static final long serialVersionUID = 938517475031285541L;
    /**
     * 数据商品id
     */
    @TableId(value = "data_goods_id", type = IdType.AUTO)
    @ApiModelProperty(value = "数据商品id")
    private Long dataGoodsId;
    /**
     * 商品分类id（行业）
     */
    @TableField("category_id")
    @ApiModelProperty(value = "商品分类id")
    private Long categoryId;
    @ApiModelProperty(value = "场景id")
    @TableField("scene_id")
    private Long sceneId;
    /**
     * 数据商户id
     */
    @TableField("user_id")
    private Long userId;

    @TableField("api_openid")
    private String apiOpenid;
    /**
     * 数据商品名称
     */
    @TableField("data_name")
    @ApiModelProperty(value = "数据商品名称")
    private String dataName;
    /**
     * 数据类型：01api，02数据包
     */
    @TableField("data_type")
    private String dataType;
    /**
     * 数据商品标签
     */
    @TableField("data_label")
    private String dataLabel;
    /**
     * 数据商品图片
     */
    @TableField("data_picture")
    private String dataPicture;
    /**
     * 数据商品价格
     */
    @TableField("data_price")
    private BigDecimal dataPrice;
    /**
     * 优惠价格
     */
    @TableField("discount_price")
    private BigDecimal discountPrice;
    /**
     * 价格类型：01免费，02收费
     */
    @TableField("price_type")
    private String priceType;

    @TableField("api_key")
    private String apiKey;
    /**
     * 商品规格
     */
    @TableField("goods")
    private String goodsStandards;
    /**
     * 数据状态：01预售，02在售中，03下架，04上架
     */
    @TableField("data_status")
    @ApiModelProperty(value = "数据状态: 03下架，04上架")
    private String dataStatus;
    /**
     * 审核状态：01待审核，02已审核，03未通过
     */
    @TableField("audit_status")
    private String auditStatus;
    /**
     * 清洗规则（脱敏校验）
     */
    @TableField("clean_rule")
    private String cleanRule;
    /**
     * 驳回原因
     */
    @TableField("reject_reason")
    private String rejectReason;
    /**
     * 审核人
     */
    @TableField("audit_person")
    private String auditPerson;
    /**
     * 审核时间
     */
    @TableField("audit_time")
    private Date auditTime;
    /**
     * 创建时间
     */
    @TableField("cre_time")
    private Date creTime;
    /**
     * 创建人
     */
    @TableField("cre_person")
    private String crePerson;
    /**
     * 更新时间
     */
    @TableField("upt_time")
    private Date uptTime;
    /**
     * 更新人
     */
    @TableField("upt_person")
    private String uptPerson;
    /**
     * 删除标识
     */
    @TableField("del_flag")
    private String delFlag;
    /**
     * 年（元）
     */
    @TableField("year_type")
    private BigDecimal yearType;
    /**
     * 季（元）
     */
    @TableField("season_type")
    private BigDecimal seasonType;
    /**
     * 月（元）
     */
    @TableField("month_type")
    private BigDecimal monthType;
    /**
     * 次（元）
     */
    @TableField("second_type")
    private BigDecimal secondType;
    @TableField("data_desc")
    private String dataDesc;

    @TableField("data_maximum")
    private String dataMaximum;

    @TableField("max_pages")
    private String maxPages;

    @TableField("data_size")
    private String dataSize;
    @TableField("goods_limited")
    private Date goodsLimited;
}