package com.jz.manage.moduls.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 企业客户交易流水(TFinanceTradeFlow)实体类
 *
 * @author makejava
 * @since 2020-12-01 10:41:39
 */
@TableName("t_finance_trade_flow")
@ApiModel
@Data
public class FinanceTradeFlow implements Serializable {
    private static final long serialVersionUID = -55257582310832314L;
    /**
     * 交易流水id
     */
    private Long tradeFlowId;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 提现id
     */
    private Long cashOutId;
    /**
     * 充值id
     */
    private Long customerBalanceId;
    /**
     * 交易流水编号
     */
    private String tradeFlowNumber;
    /**
     * 交易流水金额
     */
    private BigDecimal tradeMoney;
    /**
     * 交易类型：01提现，02充值，03付款，04收款，05续费
     */
    private String tradeType;
    /**
     * 创建时间
     */
    private Date creTime;
    /**
     * 创建人
     */
    private String crePerson;
    /**
     * 删除标识
     */
    private String delFlag;

    /**
     * 资产id
     */
    @TableField(value = "assets_id")
    private Long assetsId;
    /**
     * 资产结余
     */
    @TableField(value = "balance_money")
    private BigDecimal balanceMoney;


}