package com.jz.manage.moduls.entity;

/**
 * @ClassName:
 * @Author: Carl
 * @Date: 2021/2/3
 * @Version:
 */

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName: 场景分类表
 * @Author: Carl
 * @Date: 2021/2/3
 * @Version:
 */
@TableName("t_scene_category")
@ApiModel
@Data
public class SceneCategory implements Serializable {
    private static final long serialVersionUID = -6098559795341556267L;
    /**
     * 场景分类id
     */
    @TableId(value = "scene_id", type = IdType.AUTO)
    @ApiModelProperty(value = "场景分类id")
    private Long sceneId;
    /**
     * 分类名称
     */
    @TableField("scene_name")
    @ApiModelProperty(value = "分类名称")
    private String sceneName;
    /**
     * 父级分类id
     */
    @TableField("parent_id")
    @ApiModelProperty(value = "父级分类id")
    private Long parentId;
    /**
     * 是否为子节点：Y是，N否
     */
    @TableField("if_child")
    @ApiModelProperty(value = "是否为子节点")
    private String ifChild;
    /**
     * 创建时间
     */
    @TableField("cre_time")
    @ApiModelProperty(value = "创建时间")
    private Date creTime;
    @TableField("cre_person")
    @ApiModelProperty(value = "创建人")
    private String crePerson;

    /**
     * 更新时间
     */
    @TableField("upt_time")
    @ApiModelProperty(value = "更新时间")
    private Date uptTime;

    @TableField("del_flag")
    @ApiModelProperty(value = "是否删除")
    private String delFlag;


}
