package com.jz.manage.moduls.mapper;

import java.util.List;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.base.BaseMapper;
import com.jz.manage.moduls.controller.goods.bean.dto.*;
import com.jz.manage.moduls.entity.DataGoods;
import org.apache.ibatis.annotations.Param;

/**
 * 数据商品(DataGoods)表数据库访问层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:30
 */
public interface DataGoodsDao extends BaseMapper<DataGoods> {

    /**选择性增加数据商品
     * @param dataGoods
     * @return
     * @throws Exception
     */
    public int insertSelective(DataGoods dataGoods)throws Exception;
    
    /**主键修改数据商品
     * @param dataGoods
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKey(DataGoods dataGoods)throws Exception;

    /**选择性修改数据商品
     * @param dataGoods
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKeySelective(DataGoods dataGoods)throws Exception;
    
    /**主键查询数据商品
     * @param dataGoodsId
     * @return
     * @throws Exception
     */
    public DataGoods selectByPrimaryKey(Long dataGoodsId)throws Exception;

    /**主键删除数据商品
     * @param dataGoodsId
     * @return
     * @throws Exception
     */
    public int deleteByPrimaryKey(Long dataGoodsId)throws Exception;


	/**主键查询数据商品
	 * @param
	 * @return
	 * @throws Exception
	 */
	public DataGoodsDto findById(Long dataGoodsId)throws Exception;

	/**批量新增数据商品
	 * @param
	 * @throws Exception
	 */
	public void insertBatch(List<DataGoods> dataGoodses)throws Exception;

	/**
	 * 列表查询审核数据商品
	 * @param page
	 * @param queryWrapper
	 * @return
	 */
    IPage<DataGoodsAuditDto> findByAudit(IPage<DataGoodsAuditDto> page, @Param("ew") QueryWrapper<DataGoodsAuditDto> queryWrapper);

	/**条件查询数据商品
	 * @param pageInfoResponse
	 * @return
	 */

	IPage<DataGoodsListDto> findList(IPage<DataGoodsListDto> pageInfoResponse,@Param("ew")QueryWrapper<DataGoodsListDto> queryWrapper);

	/**
	 * 批量删除商品分类id
	 * @param list
	 * @return
	 */
    int updateByCategory(@Param("list") List<DataGoods> list);

	/**
	 * 查询api制作的商品
	 * @param list
	 * @return
	 */
	List<ApiDataGoodsListDto> selectByApiDataGoodsList(List<ApiDataListDto> list);

	/**
	 * 搜索商品
	 * @param dataGoodsId
	 * @return
	 */
	DataGoods selectByGoodsId(@Param("dataGoodsId") Long dataGoodsId);
}