package com.jz.manage.moduls.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.base.BaseMapper;
import com.jz.manage.moduls.controller.finance.platForm.dto.BalanceInfoDto;
import com.jz.manage.moduls.controller.finance.platForm.dto.BalanceListDto;
import com.jz.manage.moduls.entity.FinanceCustomerBalance;
import org.apache.ibatis.annotations.Param;

/**
 * 企业客户充值记录(TFinanceCustomerBalance)表数据库访问层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:38
 */
public interface FinanceCustomerBalanceDao extends BaseMapper<FinanceCustomerBalance> {

    /**
     * 充值管理--充值详情
     * @param customerBalanceId
     * @return
     * @throws Exception
     */
    BalanceInfoDto queryBalanceByid(@Param("customerBalanceId") String customerBalanceId) throws Exception;

    /**
     * 充值管理--分页列表
     * @param page
     * @param query
     * @return
     */
    IPage<BalanceListDto> findListBalance(IPage<BalanceListDto> page, @Param("ew") Wrapper<BalanceListDto> query);
}