package com.jz.manage.moduls.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.base.BaseMapper;
import com.jz.manage.moduls.controller.finance.platForm.dto.MoneyAndOrderTotalDto;
import com.jz.manage.moduls.controller.goods.bean.dto.DataAndOrderDto;
import com.jz.manage.moduls.controller.order.bean.dto.OrderAndAuthorizedDto;
import com.jz.manage.moduls.controller.order.bean.dto.OrderDetailDto;
import com.jz.manage.moduls.controller.order.bean.dto.OrderDto;
import com.jz.manage.moduls.entity.Order;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * 订单表(TOrder)表数据库访问层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:40
 */
public interface OrderDao extends BaseMapper<Order> {


    /**
     * 根据订单主键查询，订单详情
     * @param orderId
     * @return
     * @throws Exception
     */
    OrderDetailDto queryOrderDetail(@Param("orderId") String orderId) throws Exception;

    /**
     * 获取成交额和成交单数
     * @return
     */
    MoneyAndOrderTotalDto getMoneyAndOrderTotalDto(Map map);

    /**
     * 订单管理列表（分页查询）
     * @param page
     * @param query
     * @return
     */
    IPage<OrderDto> queryListOrderInfo(IPage<OrderDto> page, @Param("ew") QueryWrapper<OrderDto> query);

    /**
     * 查询是否授权给企业使用
     * @param goodsId
     * @return
     */
    DataAndOrderDto selectByGoods(@Param("goodsId") Long goodsId);

    /**
     *
     * @param departmentId
     * @param dataGoodsId
     * @return
     */
    OrderAndAuthorizedDto isAuthorization(@Param("departmentId") Long departmentId,@Param("dataGoodsId") Long dataGoodsId);


}