package com.jz.manage.moduls.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.base.BaseMapper;
import com.jz.common.entity.PlatformTradeFlowInfo;
import com.jz.manage.moduls.controller.finance.platForm.dto.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 平台交易流水(TPlatformTradeFlowInfo)表数据库访问层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:43
 */
public interface PlatformTradeFlowInfoDao extends BaseMapper<PlatformTradeFlowInfo> {
    /**
     * 获取平台累计收入和企业总数
     * @param map
     * @return
     * @throws Exception
     */
    PlatFormMoneyAndDepartDto queryPlatFormMoneyAndDepart(Map map) throws Exception;

    /**
     * 财务管理---我的订单
     * @param param
     * @return
     * @throws Exception
     */
    List<OrderCountInfoDto> findListOrderCount(Map param) throws Exception;

    /**
     * 财务管理--交易明细
     * @param param
     * @return
     * @throws Exception
     */
    List<TradeDetilDto> findListFinanceTradeDetil(Map param) throws Exception;


    /**
     * 提现管理--提现详情
     * @param cashOutId
     * @return
     * @throws Exception
     */
    CashOutInfoDto queryCashOutByid(@Param("cashOutId") String cashOutId) throws Exception;

    /**
     * 提现管理--分页列表
     * @param page
     * @param query
     * @return
     */
    IPage<CashOutListDto> findListFinanceCashOut(IPage<CashOutListDto> page, @Param("ew") Wrapper<CashOutListDto> query);
}