package com.jz.manage.moduls.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.utils.Result;
import com.jz.manage.moduls.controller.config.bean.req.BannerAddAndEditReq;
import com.jz.manage.moduls.controller.config.bean.req.BannerConfigListReq;
import com.jz.manage.moduls.entity.Banner;

/**
 * @ClassName: 广告配置表服务接口
 * @Author: Carl
 * @Date: 2021/2/7
 * @Version:
 */
public interface BannerServer {

    /**
     * 查询全部广告
     * @return
     */
    Result<IPage<Banner>> findList(BannerConfigListReq req);

    /**
     * 查询广告
     * @param bannerId
     * @return
     */
    Result findByBanner(Long bannerId);

    /**
     * 新增广告
     * @param req
     * @return
     */
    Result addBanner(BannerAddAndEditReq req);

    /**
     * 编辑广告
     * @param req
     * @return
     */
    Result editBanner(BannerAddAndEditReq req);

    /**
     * 删除广告
     * @param bannerId
     * @return
     */
    Result deleteBanner(Long bannerId);
}
