package com.jz.manage.moduls.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.utils.Result;
import com.jz.manage.moduls.controller.goods.bean.request.AddCateGoryReq;
import com.jz.manage.moduls.controller.goods.bean.request.CategoryAndSceneReq;
import com.jz.manage.moduls.controller.goods.bean.request.CategoryDetailReq;
import com.jz.manage.moduls.controller.goods.bean.request.DataGoodsByCategoryReq;
import com.jz.manage.moduls.entity.DataGoodsCategory;

import java.util.List;

/**
 * 数据商品分类(行业)(TDataGoodsCategory)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:32
 */
public interface DataGoodsCategoryService {


    /**
     * 查询所有的商品分类
     * @return
     */
    Result<List<DataGoodsCategory>> findByCategory() throws Exception;

    /**
     * 查询场景分类
     * @return
     */
    Result findByScene();

    /**
     * 添加一级分类
     * @param category
     * @return
     */
    Result addCategory (AddCateGoryReq category)throws Exception;

    /**
     * 编辑分类
     * @param category
     * @return
     */
    Result editCategory(AddCateGoryReq category) throws Exception;

    /**
     * 条件查询分类
     * @param search
     * @return
     */
    Result selectByCategory(String search);

    /**
     * 查询分类详情
     * @param req
     * @return
     */
    Result getCategoryDetail(CategoryDetailReq req);

    /**
     * 删除分类
     * @param req
     * @return
     */
    Result deleteByCategory(CategoryAndSceneReq req) throws Exception;
}