package com.jz.manage.moduls.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.utils.Result;
import com.jz.manage.moduls.controller.goods.bean.request.DemandAuditReq;
import com.jz.manage.moduls.controller.goods.bean.request.DemandListReq;
import com.jz.manage.moduls.entity.Demand;

/**
 * 用户需求定制申请(TDemand)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:34
 */
public interface DemandService {


    /**
     * 条件查询需求审核列表
     * @param req
     * @return
     */
    Result<IPage<Demand>> findList(DemandListReq req);

    /**
     * 查看需求审核详情
     * @param demandId
     * @return
     */
    Result findByDemand(Long demandId);

    /**
     * 审核需求
     * @param req
     * @return
     */
    Result auditDemand(DemandAuditReq req);
}