package com.jz.manage.moduls.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.utils.Result;
import com.jz.manage.moduls.controller.finance.platForm.dto.BalanceInfoDto;
import com.jz.manage.moduls.controller.finance.platForm.dto.BalanceListDto;
import com.jz.manage.moduls.controller.finance.platForm.req.*;

import javax.servlet.http.HttpServletRequest;

/**
 * 企业客户充值记录(TFinanceCustomerBalance)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:38
 */
public interface FinanceCustomerBalanceService {

    /**
     * 充值管理--分页列表
     * @param balanceListRequest
     * @param httpRequest
     * @return
     * @throws Exception
     */
    IPage<BalanceListDto> findListBalance(BalanceListRequest balanceListRequest, HttpServletRequest httpRequest) throws Exception;

    /**
     * 充值管理--充值详情
     * @param customerBalanceId
     * @return
     * @throws Exception
     */
    BalanceInfoDto queryBalanceByid(String customerBalanceId) throws Exception;

    /**
     * 充值管理--充值审核
     * @param balanceAuditRequest
     * @return
     * @throws Exception
     */
    Result<Object> uptBalanceInfoAuditByid(BalanceAuditRequest balanceAuditRequest) throws Exception;

    /**
     * 快捷充值-给用户充值
     * @param req
     * @return
     */
    Result uptAccountMoney(BalanceQuickReq req)throws Exception;
    /**
     * 快捷提现-给用户提现
     * @param req
     * @return
     */
    Result addCashOutMoney(CashOutQuickReq req)throws Exception;

    /**
     * 搜索企业
     * @param search
     * @return
     */
    Result searchCompany(String search);

    /**
     * 企业交易记录-条件查询
     * @param req
     * @return
     */
    Result tradeCompany(TradeCompanyReq req);

    /**
     * 企业交易记录-主键查询详情
     * @return
     */
    Result tradeCompanyDetail(Long departmentId);

}