package com.jz.manage.moduls.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.utils.Result;
import com.jz.manage.moduls.controller.order.bean.dto.OrderDetailDto;
import com.jz.manage.moduls.controller.order.bean.dto.OrderDto;
import com.jz.manage.moduls.controller.order.bean.req.ApiInterfaceDetailReq;
import com.jz.manage.moduls.controller.order.bean.req.OrderRequest;
import com.jz.manage.moduls.controller.order.bean.req.SaltResetReq;

import javax.servlet.http.HttpServletRequest;

/**
 * 订单表(TOrder)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:40
 */
public interface OrderService {

    /**
     * 订单管理列表（分页查询）
     * @param orderRequest
     * @param req
     * @return
     * @throws Exception
     */
    Result<IPage<OrderDto>> queryListOrderInfo(OrderRequest orderRequest, HttpServletRequest req) throws Exception;

    /**
     * 根据订单主键查询，订单详情
     * @param orderId
     * @return
     * @throws Exception
     */
    Result queryOrderDetail(String orderId) throws Exception;


    /**
     * 重置盐值
     * @param req
     * @return
     */
    Result updateSalt(SaltResetReq req);

    /**
     * apikey获取接口文档
     * @param req
     * @return
     */
    Result getOrderApiDetail(ApiInterfaceDetailReq req);
}