package com.jz.manage.moduls.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.jz.common.bean.PageInfoResponse;
import com.jz.common.utils.Result;
import com.jz.manage.moduls.controller.finance.platForm.dto.*;
import com.jz.manage.moduls.controller.finance.platForm.req.CashOutAuditRequest;
import com.jz.manage.moduls.controller.finance.platForm.req.CashOutListRequest;
import com.jz.manage.moduls.controller.finance.platForm.req.OrderCountInfoReq;
import com.jz.manage.moduls.controller.finance.platForm.req.TradeDetilRequest;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * 平台交易流水(TPlatformTradeFlowInfo)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:44
 */
public interface PlatformTradeFlowInfoService {

    /**
     * 获取平台累计收入和企业总数
     * @param map
     * @return
     * @throws Exception
     */
    PlatFormMoneyAndDepartDto queryPlatFormMoneyAndDepart(Map map) throws Exception;

    /**
     * 财务管理---我的订单
     * @param pageBean
     * @param httpRequest
     * @return
     * @throws Exception
     */
    PageInfoResponse<OrderCountInfoDto> findListOrderCount(OrderCountInfoReq pageBean, HttpServletRequest httpRequest) throws Exception;

    /**
     * 财务管理--交易明细
     * @param tradeDetilRequest
     * @param httpRequest
     * @return
     * @throws Exception
     */
    PageInfoResponse<TradeDetilDto> findListFinanceTradeDetail(TradeDetilRequest tradeDetilRequest, HttpServletRequest httpRequest) throws Exception;

    /**
     * 提现管理--分页列表
     * @param cashOutListRequest
     * @param httpRequest
     * @return
     * @throws Exception
     */
    IPage<CashOutListDto> findListFinanceCashOut(CashOutListRequest cashOutListRequest, HttpServletRequest httpRequest) throws Exception;

    /**
     * 提现管理--提现详情
     * @param cashOutId
     * @return
     * @throws Exception
     */
    CashOutInfoDto queryCashOutByid(String cashOutId) throws Exception;

    /**
     * 提现管理--提现审核
     * @param cashOutAuditRequest
     * @return
     * @throws Exception
     */
    Result<Object> uptCashOutInfoAuditByid(CashOutAuditRequest cashOutAuditRequest) throws Exception;

    /**
     * 财务管理--成交额和成交单数和平均成交额
     * @param time
     * @return
     */
    Result<MoneyAndOrderTotalDto> getMoneyAndOrderTotalDto(String time);

}